<?php
/**
* Plugin MediaMultiSelection
*
* @package	PLX
* @version	1.0
* @date	05/09/17
* @author Bronco
**/
class MediaMultiSelection extends plxPlugin {
	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		
		
		
		# Declaration d'un hook (existant ou nouveau)
		$this->addHook('AdminMediasFoot','AdminMediasFoot');
		$this->addHook('AdminMediasTop','AdminMediasTop');

		
	}

	# Activation / desactivation
	public function OnActivate() {
		# code à executer à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à executer à la désactivation du plugin
	}
	

	########################################
	# HOOKS
	########################################


	########################################
	# AdminMediasFoot
	########################################
	# Description:
	public function AdminMediasFoot(){
		echo '
			<script>
			function copy_selection(){
				chaine="";
				selected=document.querySelectorAll("#medias-table input[type=checkbox]");
				if (selected.length){
					for (index=0;index<selected.length;index++){
						if (selected[index].checked===true){
							nom=selected[index].value;

							objet=document.querySelectorAll("a[title=\""+nom+"\"]");
							if (objet.length){
								chaine+="<img src=\""+objet[0].getAttribute("href").replace("../../","")+"\"/>\n";
							}
						}

					};

				}

				var id = window.opener.document.getElementById("id_content");

				id.value+=chaine;
				window.close();
			}
			</script>
		';
	}

	########################################
	# AdminMediasTop
	########################################
	# Description:
	public function AdminMediasTop(){
		echo '
			<button class="" onclick="copy_selection();">Créer une liste avec les images sélectionnées</button>
		';
	}

	

}





/* Pense-bete:
 * Récuperer des etres du fichier eters.xml
 *	$this->getParam("<nom du etre>")
 *	$this-> setParam ("1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 *
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_PLUGINS
 * PLX_CONFIG_PATH
 * PLX_ADMIN (true si on est dans admin)
 * PLX_CHARSET
 * PLX_VERSION
 * PLX_FEED
 *
 * Appel de HOOK dans un thème
 *	eval($plxShow->callHook("ThemeEndHead","1"))  ou eval($plxShow->callHook("ThemeEndHead",array("1","2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","1"));
 */